<?
include "config.inc.php";
set_time_limit(0);
//update 2004-11-05
$sql="ALTER TABLE `".$PlusDB->prefix(fetch_site)."` add  `p_next_code` VARCHAR( 255 ) NOT NULL;";
if(!$PlusDB->queryF($sql)) echo mysql_error();
$sql="ALTER TABLE `".$PlusDB->prefix(fetch_site)."` ADD `c_url` ENUM( 'yes', 'no' ) DEFAULT 'no' NOT NULL ,ADD `c_img` ENUM( 'yes', 'no' ) DEFAULT 'no' NOT NULL ;";
if(!$PlusDB->queryF($sql)) echo mysql_error();
//update 2004-11-10 
$sql="CREATE TABLE `".$PlusDB->prefix(keyword)."` (
  `id` int(11) NOT NULL auto_increment,
  `title` varchar(100) NOT NULL default '',
  `intro` text NOT NULL,
  `image` varchar(255) NOT NULL default '',
  `hits` int(6) NOT NULL default '0',
  `ctime` datetime NOT NULL default '0000-00-00 00:00:00',
  PRIMARY KEY  (`id`)
) TYPE=MyISAM;";
if(!$PlusDB->queryF($sql)) echo mysql_error();
$sql="CREATE TABLE `".$PlusDB->prefix(keyword_links)."` (
  `id` int(11) NOT NULL auto_increment,
  `kid` int(11) NOT NULL default '0',
  `aid` int(11) NOT NULL default '0',
  PRIMARY KEY  (`id`)
) TYPE=MyISAM;";
if(!$PlusDB->queryF($sql)) echo mysql_error();
//update 2004-11-19 
$sql="CREATE TABLE `".$PlusDB->prefix(blocks)."` (
  `id` int(11) unsigned NOT NULL auto_increment,
  `title` varchar(100) default NULL,
  `content` text,
  `ctype` varchar(10) default '0',
  PRIMARY KEY  (`id`)
) TYPE=MyISAM AUTO_INCREMENT=1 ;";
//update 2004-11-23 
if(!$PlusDB->queryF($sql)) echo mysql_error();
$sql="ALTER TABLE `".$PlusDB->prefix(fetch_site)."` CHANGE `url` `url` TEXT;";
if(!$PlusDB->queryF($sql)) echo mysql_error();
//update_1126
$sql="ALTER TABLE `".$PlusDB->prefix(category)."` CHANGE `mod` `cate_mod` VARCHAR( 255 ) NOT NULL";
if(!$PlusDB->queryF($sql)) echo mysql_error();
//update 1209
$sql="CREATE TABLE  `".$PlusDB->prefix(feed_content)."` (
  `id` int(11) NOT NULL auto_increment,
  `aid` int(11) NOT NULL default '0',
  `cid` int(11) NOT NULL default '0',
  `form` varchar(50) NOT NULL default '',
  `ctime` datetime NOT NULL default '0000-00-00 00:00:00',
  `content` text NOT NULL,
  `ischeck` enum('yes','no') NOT NULL default 'no',
  PRIMARY KEY  (`id`)
) TYPE=MyISAM ;
";
if(!$PlusDB->queryF($sql)) echo mysql_error();

//update 1213
$sql="ALTER TABLE `".$PlusDB->prefix(cart_item)."` CHANGE `price` `price` DECIMAL( 6,2 ) DEFAULT NULL ";
if(!$PlusDB->queryF($sql)) echo mysql_error();

//update 1216
$sql="CREATE TABLE  `".$PlusDB->prefix(hotel_room)."` (
  `id` int(11) unsigned NOT NULL auto_increment,
  `aid` int(11) unsigned default NULL,
  `title` varchar(255) default NULL,
  `image` varchar(255) default NULL,
  `price_1` varchar(20) default NULL,
  `price_2` varchar(20) default NULL,
  `price_3` varchar(20) default NULL,
  `price_4` varchar(20) default NULL,
  `intro` varchar(255) default NULL,
  `ctime` varchar(50) default '0',
  PRIMARY KEY  (`id`),
  KEY `id` (`id`)
) TYPE=MyISAM;";
if(!$PlusDB->queryF($sql)) echo mysql_error();
###2004 12 24
$sql="CREATE TABLE `".$PlusDB->prefix(bbs)."` (
  `id` int(11) NOT NULL auto_increment,
  `cid` int(11) NOT NULL default '0',
  `pid` int(11) NOT NULL default '0',
  `tid` int(11) NOT NULL default '0',
  `mark` varchar(100) default NULL,
  `deepth` smallint(6) NOT NULL default '0',
  `ctime` datetime NOT NULL default '0000-00-00 00:00:00',
  `lastrly` datetime NOT NULL default '0000-00-00 00:00:00',
  `uid` int(11) NOT NULL default '0',
  `uname` varchar(100) NOT NULL default '',
  `uip` varchar(20) NOT NULL default '',
  `title` varchar(255) NOT NULL default '',
  `content` text NOT NULL,
  `icon` varchar(100) NOT NULL default '',
  `show_sign` enum('yes','no') NOT NULL default 'yes',
  `email_notify` enum('yes','no') NOT NULL default 'no',
  `smile` enum('yes','no') NOT NULL default 'yes',
  `bbcode` enum('yes','no') NOT NULL default 'yes',
  `stick` enum('yes','no') NOT NULL default 'no',
  `lock` enum('yes','no') NOT NULL default 'no',
  `hits` smallint(6) NOT NULL default '0',
  `attachment` varchar(255) NOT NULL default '',
  `other` char(1) NOT NULL default '',
  KEY `id` (`id`,`mark`)
) TYPE=MyISAM ;";
if(!$PlusDB->queryF($sql)) echo mysql_error();
###20050105
$sql="INSERT INTO `".$PlusDB->prefix(configration)."` ( `conf_id` , `conf_intro` , `conf_title` , `conf_set` , `type` ) VALUES ('27', '站点语言', 'language', 'zh-cn' , 'system');";
if(!$PlusDB->queryF($sql)) echo mysql_error();

$sql="CREATE TABLE `".$PlusDB->prefix(extra_contents)."` (
  `aid` int(11) unsigned NOT NULL default '0',
  `cid` int(11) unsigned default NULL,
  `field_00` varchar(255) default NULL,
  `field_01` varchar(255) default NULL,
  `field_02` varchar(255) default NULL,
  `field_03` varchar(255) default NULL,
  `field_04` varchar(255) default NULL,
  `field_05` varchar(255) default NULL,
  `field_06` varchar(255) default NULL,
  `field_07` varchar(255) default NULL,
  `field_08` varchar(255) default NULL,
  `field_09` varchar(255) default NULL,
  KEY `aid` (`aid`)
) TYPE=MyISAM;
";
if(!$PlusDB->queryF($sql)) echo mysql_error();

###add 20050121
$sql="CREATE TABLE `".$PlusDB->prefix(pay_method)."` (
  `id` int(11) unsigned NOT NULL auto_increment,
  `title` varchar(100) default NULL,
  `intro` text,
  PRIMARY KEY  (`id`)
) TYPE=MyISAM AUTO_INCREMENT=1 ;
";
if(!$PlusDB->queryF($sql)) echo mysql_error();

$sql="ALTER TABLE `".$PlusDB->prefix(cart)."` ADD `payment` INT( 11 ) NOT NULL AFTER `oid` ;";
if(!$PlusDB->queryF($sql)) echo mysql_error();

#add 20050126
$sql="CREATE INDEX article_index ON ".$PlusDB->prefix("articles")." (uid,cid,active,first,isimg,ctime,hits);";
if(!$PlusDB->queryF($sql)) echo mysql_error()."<br>";
$sql="CREATE INDEX attach_index ON ".$PlusDB->prefix("attachment")." (aid);";
if(!$PlusDB->queryF($sql)) echo mysql_error()."<br>";
$sql="CREATE INDEX bank_index ON ".$PlusDB->prefix("bank_log")." (uid);";
if(!$PlusDB->queryF($sql)) echo mysql_error()."<br>";
$sql="CREATE INDEX bbs_index ON ".$PlusDB->prefix("bbs")." (cid,pid,tid,mark,ctime);";
if(!$PlusDB->queryF($sql)) echo mysql_error()."<br>";
$sql="CREATE INDEX cart_index ON ".$PlusDB->prefix("cart")." (oid);";
if(!$PlusDB->queryF($sql)) echo mysql_error()."<br>";
$sql="CREATE INDEX category_index ON ".$PlusDB->prefix("category")." (pid,o_num,other_1);";
if(!$PlusDB->queryF($sql)) echo mysql_error()."<br>";
$sql="Create Index contents_index on ".$PlusDB->prefix("contents")." (aid,cid,o_num);";
if(!$PlusDB->queryF($sql)) echo mysql_error()."<br>";
$sql="Create Index extra_index on ".$PlusDB->prefix("extra_contents")." (aid,cid);";
if(!$PlusDB->queryF($sql)) echo mysql_error()."<br>";
$sql="Create Index feed_index on ".$PlusDB->prefix("feed_content")." (aid,ctime);";
if(!$PlusDB->queryF($sql)) echo mysql_error()."<br>";
$sql="Create Index image_index on ".$PlusDB->prefix("images")." (aid);";
if(!$PlusDB->queryF($sql)) echo mysql_error()."<br>";
$sql="Create Index session_index on ".$PlusDB->prefix("sessions")." (member_id,running_time);";
if(!$PlusDB->queryF($sql)) echo mysql_error()."<br>";
$sql="create index article_index2 on ".$PlusDB->prefix("articles")." (cid,active,ctime);";
if(!$PlusDB->queryF($sql)) echo mysql_error()."<br>";
$sql="create index aid on ".$PlusDB->prefix("keyword_links")."  (aid,kid);";
if(!$PlusDB->queryF($sql)) echo mysql_error()."<br>";
$sql="create index aid on  ".$PlusDB->prefix("topic_links")."  (aid,tid);";
if(!$PlusDB->queryF($sql)) echo mysql_error()."<br>";

#add 20050228
$sql="INSERT INTO ".$PlusDB->prefix("configration")." VALUES (27, '站点语言', 'language', '$language', 'system');";
if(!$PlusDB->queryF($sql)) echo mysql_error()."<br>";
$sql="INSERT INTO ".$PlusDB->prefix("configration")." VALUES (28, '点数汇率', 'point_change', 0x313030, 'system');";
if(!$PlusDB->queryF($sql)) echo mysql_error()."<br>";
#2005-3-6
$sql="CREATE TABLE ".$PlusDB->prefix("shipping_method")."  (
  `id` int(11) unsigned NOT NULL auto_increment,
  `title` varchar(100) default NULL,
  `intro` text,
  `price` decimal(6,2) NOT NULL default '0.00',
  `isactive` enum('yes','no') NOT NULL default 'yes',
  PRIMARY KEY  (`id`)
) TYPE=MyISAM ";
if(!$PlusDB->queryF($sql)) echo mysql_error()."<br>";

$sql="ALTER TABLE   ".$PlusDB->prefix("cart")."  ADD `shipping` INT( 11 ) NOT NULL AFTER `payment` ;";
if(!$PlusDB->queryF($sql)) echo mysql_error()."<br>";

$sql="INSERT INTO ".$PlusDB->prefix("configration")." VALUES (30, '货币符号', 'currency', 0xa3a4, 'system');";
if(!$PlusDB->queryF($sql)) echo mysql_error()."<br>";

$sql="ALTER TABLE ".$PlusDB->prefix("keyword")." ADD `cid` INT( 11 ) DEFAULT '1' NOT NULL AFTER `id` ;";
if(!$PlusDB->queryF($sql)) echo mysql_error()."<br>";

$sql="CREATE TABLE ".$PlusDB->prefix("keyword_category")." (
  id int(11) NOT NULL auto_increment,
  title varchar(100) NOT NULL default '',
  intro text NOT NULL,
  ctime datetime NOT NULL default '0000-00-00 00:00:00',
  active enum('yes','no') NOT NULL default 'yes',
  image varchar(255) default NULL,
  PRIMARY KEY  (`id`)
) TYPE=MyISAM;
";
if(!$PlusDB->queryF($sql)) echo mysql_error()."<br>";

$sql="select * from ".$PlusDB->prefix("category")." where 1=1";
$rt=$PlusDB->query($sql);
while($row = $rt->fetchRow()){
		$page_setting=Unserialize($row["page_discription"]);
		if($num<3){
			$ret[title_max]=$row["page_discription"];
			$ret[page_num]=$row["page_num"];
			$ret[page_col]=$row["page_col"];
			$psetting =serialize($ret);
			$sql="update ".$PlusDB->prefix("category")." set page_discription='$psetting' where id='$row[id]'";
			//echo $sql."<br>";
			$PlusDB->query($sql);
		}
}
$sql="ALTER TABLE   ".$PlusDB->prefix("sessions")."  ADD `position` INT( 11 ) NOT NULL AFTER `login_type` ;";
if(!$PlusDB->queryF($sql)) echo mysql_error()."<br>";
echo "update Success";
?>